/* Eventhandling ###############################################################
*
* Zuordnung von Aktionen zu Events.
* Ermoeglicht auch das mehrfache Zuordnen zu Events,
* und zwar jederzeit an allen Stellen des Codes
* ohne andere Events zu berschreiben
*
* Bsp:
* addEvent(obj,event,function);
* also
* addEvent(window,'load',initPage);
* ist gleich
* window.onload = initPage();
*
* Diesen Abschnitt NICHT EDITIEREN ODER LOESCHEN !!!
*
*/
Array.prototype.inArray = function (value) {
	var i;
	for (i=0; i < this.length; i++) {
		if (this[i] === value) {
			return true;
		}
	}
	return false;
};

function addEvent( obj, type, fn ) {
	if (obj.addEventListener) {
		obj.addEventListener( type, fn, false );
		EventCache.add(obj, type, fn);
	}
	else if (obj.attachEvent) {
		obj["e"+type+fn] = fn;
		obj[type+fn] = function() { obj["e"+type+fn]( window.event ); }
		obj.attachEvent( "on"+type, obj[type+fn] );
		EventCache.add(obj, type, fn);
	}
	else {
		obj["on"+type] = obj["e"+type+fn];
	}
}
	
var EventCache = function(){
	var listEvents = [];
	return {
		listEvents : listEvents,
		add : function(node, sEventName, fHandler){
			listEvents.push(arguments);
		},
		flush : function(){
			var i, item;
			for(i = listEvents.length - 1; i >= 0; i = i - 1){
				item = listEvents[i];
				if(item[0].removeEventListener){
					item[0].removeEventListener(item[1], item[2], item[3]);
				};
				if(item[1].substring(0, 2) != "on"){
					item[1] = "on" + item[1];
				};
				if(item[0].detachEvent){
					item[0].detachEvent(item[1], item[2]);
				};
				item[0][item[1]] = null;
			};
		}
	};
}();
addEvent(window,'unload',EventCache.flush);
/* Ab hier duerft ihr wieder ;) */

/* ### vars ### */

/* ordernumber fuer Bannereinblenundungen */
var ord;
var ord=Math.random()*10000000000000000;

/* Browserdetection IE Mac */
var mybrowser = "";
var mybrowserName = navigator.appName;
var isMac = navigator.userAgent.indexOf("Mac") != -1;
if(isMac) {
	if(mybrowserName == "Microsoft Internet Explorer") {
		mybrowser = "IEMac";
	}
}


/* ### Needful Tools ######################################################## */

/* Formulare senden */
function submitform(myform) 
{
	var theform = eval("document." + myform);
	theform.submit();
}

/* laedt Bilder in den Cache */
preloader = function() 
{
	document.preloads = new Array();
	if(document.images) 
	{
		for(var x=0; x<preloader.arguments.length; x++) 
		{
			document.preloads[x] = new Image();
			document.preloads[x].src = preloader.arguments[x];
		}
	}
}

/* Nach Klassen selektieren */
document.getElementsByClass = function (needle)
{
  function _GetElementsByClass(outArray, seed, needle)
  {
    while (seed) {
      if (seed.nodeType == Node.ELEMENT_NODE) {
        if (seed.hasAttribute("class")) {
          var c = " " + seed.className + " ";
          if (c.indexOf(" " + needle + " ") != -1)
            outArray.push(seed);
        }
        _GetElementsByClass(outArray, seed.firstChild, needle)
      }
      seed = seed.nextSibling;
    }
  }

  var outArray = new Array();
  node = this;
  _GetElementsByClass(outArray, document.documentElement, needle);
  return outArray;
}


/* ### Sitespecific Scripts ################################################# */

/* Skript zum Ausblenden leerer Bannerplaetze */
function hideEmptyAdPlace(adId)
{
	adplace = document.getElementById(adId);
	if(adplace)
	{
		link = adplace.getElementsByTagName('a');
		if(link[0])
		{
			img = link[0].getElementsByTagName('img');
			if(			img[0].src=='http://m1.2mdn.net/viewad/817-grey.gif'
					||  img[0].src=='http://m.2mdn.net/viewad/817-grey.gif')
			{
				adplace.className="unsichtbar";
			}
		}
	}
}

/* Special-Spitzmarken fuer die News-CP */
spitzMarkeMouseOver = function() {
	if(document.getElementById('centerpage')) {
		marken = document.getElementsByTagName('span');
		for(var spitz = 0; spitz < marken.length; spitz++) {
			if(marken[spitz].parentNode.parentNode.parentNode.parentNode.id == 'feedid_meldungen'
			|| marken[spitz].parentNode.parentNode.parentNode.parentNode.id == 'feedid_aufmacher') {
				marken[spitz].className = 'pricked';
			}
		}
	}
}

/*
Sweet Titles (c) Creative Commons 2005
http://creativecommons.org/licenses/by-sa/2.5/
Author: Dustin Diaz | http://www.dustindiaz.com
*/
var launchSweetTitles = function() {
	sweetTitles.init();
};
var sweetTitles = { 
	xCord : 0,				// @Number: x pixel value of current cursor position
	yCord : 0,				// @Number: y pixel value of current cursor position
	tipElements : ['a','abbr','acronym'],	// @Array: Allowable elements that can have the toolTip
	obj : Object,			// @Element: That of which you're hovering over
	tip : Object,			// @Element: The actual toolTip itself
	active : 0,				// @Number: 0: Not Active || 1: Active
	init : function() {
		if ( !document.getElementById ||
			!document.createElement ||
			!document.getElementsByTagName ) {
			return;
		}
		var i,j;
		this.tip = document.createElement('div');
		this.tip.id = 'toolTip';
		document.getElementsByTagName('body')[0].appendChild(this.tip);
		this.tip.style.top = '0';
		this.tip.style.visibility = 'hidden';
		addEvent(document,'mousemove',this.updateXY);
		if ( document.captureEvents ) {
				document.captureEvents(Event.MOUSEMOVE);
		}
		var tipLen = this.tipElements.length;
		for ( i=0; i<tipLen; i++ ) {
			var current = document.getElementsByTagName(this.tipElements[i]);
			var curLen = current.length;
			for ( j=0; j<curLen; j++ ) {
				if(current[j].title != "") {
					addEvent(current[j],'mouseover',this.tipOver);
					addEvent(current[j],'mouseout',this.tipOut);
					current[j].setAttribute('tip',current[j].title);
					current[j].removeAttribute('title');
				}
			}
		}
	},
	updateXY : function(e) {
		if ( document.captureEvents ) {
			sweetTitles.xCord = e.pageX;
			sweetTitles.yCord = e.pageY;
		} else if ( window.event.clientX ) {
			sweetTitles.xCord = window.event.clientX+document.documentElement.scrollLeft;
			sweetTitles.yCord = window.event.clientY+document.documentElement.scrollTop;
		}
	},
	tipOut: function() {
		if ( window.tID ) {
			clearTimeout(tID);
		}
		if ( window.opacityID ) {
			clearTimeout(opacityID);
		}
		sweetTitles.tip.style.visibility = 'hidden';
	},
	checkNode : function() {
		var trueObj = this.obj;
		if ( this.tipElements.inArray(trueObj.nodeName.toLowerCase()) ) {
			return trueObj;
		} else {
			return trueObj.parentNode;
		}
	},
	tipOver : function() {
		sweetTitles.obj = this;
		tID = window.setTimeout("sweetTitles.tipShow()",20)
	},
	tipShow : function() {		
		var scrX = Number(this.xCord);
		var scrY = Number(this.yCord);
		var tp = parseInt(scrY+15);
		var lt = parseInt(scrX-120);
		var anch = this.checkNode();
		var addy = '';
		var access = '';
		if ( anch.nodeName.toLowerCase() == 'a' ) {
			addy = (anch.href.length > 25 ? anch.href.toString().substring(0,25)+"..." : anch.href);
			var access = ( anch.accessKey ? ' <span>['+anch.accessKey+']</span> ' : '' );
		} else {
			addy = anch.firstChild.nodeValue;
		}
		this.tip.innerHTML = "<p>"+anch.getAttribute('tip')+"</p>";
		if ( parseInt(document.documentElement.clientWidth+document.documentElement.scrollLeft) < parseInt(this.tip.offsetWidth+lt) ) {
			this.tip.style.left = parseInt(lt-(this.tip.offsetWidth+10))+'px';
		} else {
			this.tip.style.left = lt+'px';
		}
		if ( parseInt(document.documentElement.clientHeight+document.documentElement.scrollTop) < parseInt(this.tip.offsetHeight+tp) ) {
			this.tip.style.top = parseInt(tp-(this.tip.offsetHeight+10))+'px';
		} else {
			this.tip.style.top = tp+'px';
		}
		this.tip.style.visibility = 'visible';
		this.tip.style.zIndex = 5001;
		this.tip.style.opacity = '.1';
		this.tipFade(10);
	},
	tipFade: function(opac) {
		var passed = parseInt(opac);
		var newOpac = parseInt(passed+10);
		if ( newOpac < 80 ) {
			this.tip.style.opacity = '.'+newOpac;
			this.tip.filter = "alpha(opacity:"+newOpac+")";
			opacityID = window.setTimeout("sweetTitles.tipFade('"+newOpac+"')",20);
		}
		else { 
			this.tip.style.opacity = '.80';
			this.tip.style.filter = "alpha(opacity:80)";
		}
	}
};

/* InitMenues
*
*	Inititalisiert und steuert die Ausklappmenues
*	nur fuer den dussligen IE
*
*/
function initMenues() 
{
	if (document.all && document.getElementById) {

		var mymenu = function(navRoot) {
			if(navRoot) {
				for (i=0; i<navRoot.childNodes.length; i++) {
					node = navRoot.childNodes[i];
					if (node.nodeName=="LI") {
						node.onmouseover=function() {
							this.className+=" over";
							this.style.zIndex = 5000;
						}
						node.onmouseout=function() {
							var myobj = this;
							window.setTimeout(function () {
								if(myobj) {
								myobj.className=myobj.className.replace(" over", "");
								}
							}, 600);
						}
					}
				}
			}
		}
		
		if(document.getElementById('nav')) mymenu(document.getElementById("nav"));
		if(document.getElementById('rubnav')) mymenu(document.getElementById("rubnav"));
		if(document.getElementById('mnav')) mymenu(document.getElementById("mnav"));
		
	}
}

/* ### Cookiehandling mit Javascript ######################################## */

/* Cookie auslesen */
function Cookie_get(name) 
{
  if (document.cookie.length > 0) 
  {
    var begin = document.cookie.indexOf(name + "=");
    if (begin != -1) 
    {
      begin += name.length + 1;
      var end = document.cookie.indexOf(";", begin);
      if (end == -1) 
      {
        end = document.cookie.length;
      }
      return unescape(document.cookie.substring(begin, end));
    }
  }
  return null;
}

/* Cookie schreiben */
function Cookie_set(name, value, expiredays) 
{
  var expire_date = new Date();
  expire_date.setTime(expire_date.getTime() + (expiredays * 24 * 3600 * 1000));
  document.cookie = name + "=" + escape(value) +
  ((expiredays == null) ? "" : "; expires=" + expire_date.toGMTString());
}

/* Cookie loeschen */
function Cookie_delete(name) 
{
  if (Cookie_get(name)) 
  {
    document.cookie = name + "=" + "; expires=Thu, 01-Jan-70 00:00:01 GMT";
  }
}
	

/* ### Popupscripts ######################################################### */

/* openme
*
*	ehemals 'universelles' Popupscript
*
*/
function openme(zielurl,breite,hoehe,pos,name,scroll_value)
{
	if(scroll_value=="yes") 
	{
		scroll_value="yes";
	}
	else 
	{
		scroll_value="no";
	}

	var links;
	var oben;
	var breite = breite;
	var hoehe = hoehe;
	var ziel = "";

	if (pos == "middle") 
	{
		links = (screen.width - breite) /2;
		oben = 20;
	}
	else if (pos == "right") 
	{
		links = screen.width;
		oben = 0;
	}
	else 
	{
		links =  (screen.width - breite) /2 + 55;
		oben = (screen.height - hoehe) /2 - 16;
	}
	
	if (zielurl.indexOf(".mov") != -1) 
	{
		hoehe = hoehe + 80;
		breite = breite;
		if (zielurl.indexOf("apollo.zeit.de/redirects/cc") != -1)
		{
			ziel = zielurl.replace(/cc/,"play_mm")+"&height="+hoehe+"&width="+breite;
		}
		else
		{
			ziel = "http://apollo.zeit.de/redirects/play_mm.php?to="+zielurl+"&height="+hoehe+"&width="+breite;
		}

	}
	else if (zielurl.indexOf(".mp3") != -1)
	{
		hoehe = hoehe + 80;
		breite = breite;
		if (zielurl.indexOf("apollo.zeit.de/redirects/cc") != -1)
		{
			ziel = zielurl.replace(/cc/,"play_mm")+"&height="+hoehe+"&width="+breite;
		}
		else
		{
			ziel = "http://apollo.zeit.de/redirects/play_mm.php?to="+zielurl+"&height="+hoehe+"&width="+breite;
		}
	}
	else
	{
		ziel = zielurl;
	}

	picwin=window.open(ziel,name,"toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars="+ scroll_value + ",resizable=yes,copyhistory=no,height=" + hoehe + ",width=" + breite + ",left=" + links +",top=" + oben +"");
	picwin.focus();
}

/* NICHT-DAUER-POPUP */
/* 
*
*	string name				Name des Cookies
*	int expiredays			Laufzeit des Cookies in Tagen
*	int times				Anzahl der Einblendungen pro Tag
*	string zielurl			Seite die im Popup gezeigt werden soll				
*	string popupname		Name des Popupfensters	
*	int breite				Breite des Popups in px
*	int hoehe				Hoehe des Popup in px
*	string scroll_value		Popup scrollbar? yes/no
*	string pos				Bildschirmposition des Popup left, middle, right
*	string where			Popupanzeige auf "homepage", "centerpage", "artikel" oder "all"
*
*/
function openPopUpFriendly(name, expiredays, times, zielurl, popupname, breite, hoehe, scroll_value, pos) 
{
	// cookieconfig standards
	if(name=="") name = "zeit_popup_count";
	if(expiredays=="") expiredays = 2;
	if(times=="") times = 1; // wie oft pro Tag soll das Popup geziegt werden?
	if(popupname=="") popupname = 'popup';
	if(where=="") where = "all";
	
	show = false;
	
	if(where != "all") 
	{
		if(document.getElementById(where)) show = true;
	} 
	else 
	{
		show = true;
	}
	
	if(show) 
	{
		if( !Cookie_get(name) ) 
		{
			Cookie_set(name, 1, expiredays);
			openme(zielurl,breite,hoehe,pos,popupname,scroll_value);
		} 
		else 
		{
			myvalue = parseInt(Cookie_get(name));
			if(myvalue < times) 
			{
				newvalue = myvalue+1;
				Cookie_set(name, newvalue, expiredays);
				openme(zielurl,breite,hoehe,pos,popupname,scroll_value);
			}
		}
	}
	
}

/* ### Popunder ############################################################# */
function popunder(zielurl,breite,hoehe,pos,name,scroll_value)
{
	if(scroll_value=="yes") 
	{
		scroll_value="yes";
	}
	else 
	{
		scroll_value="no";
	}

	var links;
	var oben;
	var breite = breite;
	var hoehe = hoehe;

	if (pos == "middle") 
	{
		links = (screen.width - breite) /2;
		oben = 20;
	}

	else if (pos == "right") 
	{
		links = screen.width;
		oben = 0;
	}

	else 
	{
		links =  (screen.width - breite) /2 + 55;
		oben = (screen.height - hoehe) /2 - 16;
	}

	//picwin=window.open(zielurl,name,'');
	//picwin.close();
	picwin=window.open(zielurl,name,"toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars="+ scroll_value + ",resizable=no,copyhistory=no,height=" + hoehe + ",width=" + breite + ",left=" + links +",top=" + oben +"");
	picwin.blur();
	window.focus();
}


/*	### Backward Compabilty ####################################################
*	alte Sachen, werden auf alten Layouts noch verwendet.
*	Bitte immer mal wieder ueberpruefen und ggf. loeschen
*/

/* preloading: place an Image in the sitecache */
function newImage(arg) 
{
	if (document.images) 
	{
		rslt = new Image();
		rslt.src = arg;
		return rslt;
	}
}

/* preloading */
function changeImages() 
{
	if (document.images && (preloadFlag == true)) 
	{
		for (var i=0; i<changeImages.arguments.length; i+=2) 
		{
			document[changeImages.arguments[i]].src = changeImages.arguments[i+1];
		}
	}
}

/* Einzelfall? Wird das noch gebraucht? */
function open_popup() 
{
	picwin=window.open('http://apollo.zeit.de/umfragen/u_4-5-06/index.php',"Popup","height=585,width=490,left=40,top=40,toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,copyhistory=no");
	picwin.focus();
}



/* #### INIT SECTION ###########################################################
*
*	Dieser Teil ersetzt das Init-Script !
*
*/
function init_callback() {
	// hier bspw. Popupaufrufe unterbringen
}


addEvent(window, 'load', init_callback);
addEvent(window, 'load', launchSweetTitles);
addEvent(window, 'load', initMenues);
addEvent(window, 'load', spitzMarkeMouseOver);
//addEvent(window, 'load', webtrekkerize);